<map version="0.9.0">
<!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
<node CREATED="1451104761002" ID="ID_1346694937" MODIFIED="1451106295398" STYLE="fork" TEXT="Software Complexity Metrics">
<node CREATED="1451106197475" ID="ID_1525929268" MODIFIED="1451505080755" POSITION="right" TEXT="Call Graph Complexity">
<node CREATED="1451106211183" ID="ID_1716509480" MODIFIED="1451106295399" TEXT="Recursion"/>
<node CREATED="1451106215095" ID="ID_720237771" MODIFIED="1451106295399" TEXT="Hidden Recusion"/>
</node>
<node CREATED="1451105808320" ID="ID_1775463721" MODIFIED="1451106295399" POSITION="left" TEXT="Complexity vs Efficiency">
<node CREATED="1451105816705" ID="ID_155673739" MODIFIED="1451106295399" TEXT="Compare algorithms"/>
<node CREATED="1451106035511" ID="ID_228649563" MODIFIED="1451106295399" TEXT="Different implementations of same algorithm"/>
<node CREATED="1451505058090" ID="ID_30119935" MODIFIED="1451505077702" TEXT="Robustness of code -- can it be modified?"/>
</node>
<node CREATED="1451104942072" ID="ID_1140545946" MODIFIED="1451505429446" POSITION="left" TEXT="Documentation availablity vs complexity*">
<node CREATED="1451503764154" ID="ID_1849889534" MODIFIED="1451503767217" TEXT="Literate Program">
<node CREATED="1451503975529" ID="ID_1775579658" MODIFIED="1451503982405" TEXT="Docstrings? Testing in documentation"/>
</node>
<node CREATED="1451503772534" ID="ID_1313239775" MODIFIED="1451503774674" TEXT="iPython"/>
<node CREATED="1451503801657" ID="ID_1235865457" MODIFIED="1451503907051" TEXT="A Retragetable C Compiler Design and Implentation"/>
<node CREATED="1451503917590" ID="ID_1520849686" MODIFIED="1451503921929" TEXT="Computer and Typesettings"/>
<node CREATED="1451504160671" ID="ID_364796114" MODIFIED="1451504163978" TEXT="Interesting idea?"/>
<node CREATED="1451504408148" ID="ID_1925883129" MODIFIED="1451504417231" TEXT="Spaghetti Code vs Elegant Code">
<node CREATED="1451504530409" ID="ID_1445720695" MODIFIED="1451504535507" TEXT="Define Spahetti Code"/>
<node CREATED="1451504781859" ID="ID_943019779" MODIFIED="1451504791211" TEXT="Graph S v E and Comments v No Comments"/>
</node>
</node>
<node CREATED="1451104796935" ID="ID_661460985" MODIFIED="1451505438322" POSITION="left" TEXT="Education*">
<node CREATED="1451104873307" ID="ID_875184624" MODIFIED="1451106295399" TEXT="Scoring student work"/>
<node CREATED="1451104892470" ID="ID_79786990" MODIFIED="1451106295399" TEXT="Evaluating student comprehension"/>
<node CREATED="1451104913145" ID="ID_1641331578" MODIFIED="1451106295399" TEXT="Verifying features in work"/>
<node CREATED="1451105136670" ID="ID_1509800234" MODIFIED="1451106295399" TEXT="Measuring &quot;Low floor, high ceiling&quot; assertions">
<node CREATED="1451502475024" ID="ID_1547291458" MODIFIED="1451502495076" TEXT="Tiffany Barnes; Comparing Student Work w/ Text-only"/>
<node CREATED="1451502604903" ID="ID_178480440" MODIFIED="1451502618721" TEXT="Brenan, Catherina - scratch"/>
</node>
<node CREATED="1451105914677" ID="ID_1188246279" MODIFIED="1451106295399" TEXT="Automated Program Generation?"/>
<node CREATED="1451502667973" ID="ID_133767330" MODIFIED="1451502680550" TEXT="What makes things hard for humans">
<node CREATED="1451502992319" ID="ID_730749243" MODIFIED="1451502996854" TEXT="Can we cluster them?"/>
</node>
</node>
<node CREATED="1451105223345" ID="ID_1897843026" MODIFIED="1451106295399" POSITION="left" TEXT="Entropy based complexity metrics">
<node CREATED="1451105347061" ID="ID_306820802" MODIFIED="1451106295399" TEXT="Clustering Algorithm&apos;s for complexity"/>
<node CREATED="1451106021402" ID="ID_1941879336" MODIFIED="1451106295399" TEXT="Koglormakiv complexity"/>
<node CREATED="1451503067390" ID="ID_381841094" MODIFIED="1451503075770" TEXT="Algotihmic Complexity Metrics"/>
<node CREATED="1451503136172" ID="ID_347741085" MODIFIED="1451503271952" TEXT="Melony Mitchel - Complexity a Guided Tour -- READ!!"/>
<node CREATED="1451503290356" ID="ID_1769320566" MODIFIED="1451503299645" TEXT="Smale and Crutchfield - Computational Complexity"/>
<node CREATED="1451503506583" ID="ID_143305553" MODIFIED="1451503511626" TEXT="Dimension of a program?">
<node CREATED="1451503516906" ID="ID_519100938" MODIFIED="1451503520511" TEXT="Fractal Dimensions"/>
<node CREATED="1451503526856" ID="ID_1314029013" MODIFIED="1451503529979" TEXT="Nesting of loops?"/>
<node CREATED="1451503562985" ID="ID_129019530" MODIFIED="1451503566228" TEXT="Graph Complexity">
<node CREATED="1451503568290" ID="ID_1188888423" MODIFIED="1451503584367" TEXT="COntrol Flow"/>
<node CREATED="1451503585332" ID="ID_1772180899" MODIFIED="1451503589074" TEXT="Call Graph"/>
<node CREATED="1451503589805" ID="ID_1431102847" MODIFIED="1451503597393" TEXT="Varaible interaction graph?"/>
</node>
</node>
</node>
<node CREATED="1451104803952" ID="ID_1378784132" MODIFIED="1451106295399" POSITION="right" TEXT="Expertise">
<node CREATED="1451104994077" ID="ID_204498467" MODIFIED="1451106295399" TEXT="Correlation with system expertise?"/>
<node CREATED="1451105013288" ID="ID_1824661062" MODIFIED="1451106295399" TEXT="Change in complexity of changes over time?"/>
<node CREATED="1451105691625" ID="ID_1208624797" MODIFIED="1451106295399" TEXT="Ramp up time of new deelopers"/>
</node>
<node CREATED="1451104816704" ID="ID_257293442" MODIFIED="1451505392151" POSITION="right" TEXT="Finding faults*">
<node CREATED="1451105035320" ID="ID_1157954660" MODIFIED="1451106295399" TEXT="Complexity vs Fault Rate"/>
<node CREATED="1451105041909" ID="ID_188026831" MODIFIED="1451106295399" TEXT="Correlation with Taint Analysis"/>
</node>
<node CREATED="1451104830314" ID="ID_32979915" MODIFIED="1451505396901" POSITION="right" TEXT="History*">
<node CREATED="1451105288705" ID="ID_861891331" MODIFIED="1451106295399" TEXT="Previous Metrics">
<node CREATED="1451105294938" ID="ID_774756183" MODIFIED="1451106295399" TEXT="McCabe&apos;s"/>
<node CREATED="1451105300259" ID="ID_898236979" MODIFIED="1451106295399" TEXT="Data Flow"/>
<node CREATED="1451105302857" ID="ID_1111027969" MODIFIED="1451106295399" TEXT="LOC"/>
<node CREATED="1451105314367" ID="ID_470088180" MODIFIED="1451106295399" TEXT="Program Slicing"/>
<node CREATED="1451105705530" ID="ID_1331596481" MODIFIED="1451106295399" TEXT="Fan in, Fan out, OOP metrics"/>
</node>
<node CREATED="1451105326148" ID="ID_924649996" MODIFIED="1451106295399" TEXT="Criticisms">
<node CREATED="1451105333702" ID="ID_822689185" MODIFIED="1451106295399" TEXT="Weyuker"/>
</node>
</node>
<node CREATED="1451104856129" ID="ID_523962044" MODIFIED="1451505401157" POSITION="right" TEXT="Mutation*">
<node CREATED="1451104960716" ID="ID_284073922" MODIFIED="1451106295399" TEXT="Measuring progress over time"/>
<node CREATED="1451104973300" ID="ID_1781575845" MODIFIED="1451106295399" TEXT="Determining rate of change"/>
<node CREATED="1451105461395" ID="ID_911875047" MODIFIED="1451498177044" TEXT="Spread of complex open source projects vs simple ones">
<node CREATED="1451105474439" ID="ID_1064837801" MODIFIED="1451106295399" TEXT="Developer breadth"/>
<node CREATED="1451105479229" ID="ID_1509484695" MODIFIED="1451106295399" TEXT="Developer depth"/>
<node CREATED="1451106070197" ID="ID_534265420" MODIFIED="1451106295399" TEXT="Relation to generative justice"/>
</node>
</node>
<node CREATED="1451106127997" ID="ID_1990798256" MODIFIED="1451106295399" POSITION="left" TEXT="SE Design Patterns">
<node CREATED="1451106150925" ID="ID_773726331" MODIFIED="1451106295399" TEXT="Agile - limit tickets to scope?"/>
<node CREATED="1451106168744" ID="ID_869415646" MODIFIED="1451106295399" TEXT="New methodologies?"/>
<node CREATED="1451503665627" ID="ID_662530708" MODIFIED="1451503720101" TEXT="The Dawn of SE: From Turing to Djikstra"/>
</node>
<node CREATED="1451323233839" ID="ID_443526358" MODIFIED="1451323241996" POSITION="left" TEXT="New Complexity Metric">
<node CREATED="1451323244751" ID="ID_1201476875" MODIFIED="1451323264766" TEXT="Cyclomatic + Graph of variables"/>
</node>
</node>
</map>
